# Class LdapRegistration

Namespace
  adas_core.LdapLogin.RegistrationExtension

Assembly
  adas-core.LdapLogin.dll

Extension class for registering LDAP authentication services and configurations in the service collection.

    public static class LdapRegistration

Inheritance
  object
  LdapRegistration

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### AddLdapAuth(IServiceCollection, IConfigurationRoot)

Registers LDAP authentication services and configurations in the service collection using the provided configuration.

    public static void AddLdapAuth(this IServiceCollection serviceCollection, IConfigurationRoot configuration)

#### Parameters

`serviceCollection` IServiceCollection

  The service collection to which LDAP services will be added.

`configuration` IConfigurationRoot

  The configuration from which LDAP settings will be read.